Bug 566594 - [abrt] crash in wallpapoz-0.4.1-16.svn92_trunk.fc12
Summary: [abrt] crash in wallpapoz-0.4.1-16.svn92_trunk.fc12
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: wallpapoz
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:f5496133
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-18 22:03 UTC by Michael Hampton
Modified: 2010-03-13 02:31 UTC (History)
1 user (show)

Fixed In Version: wallpapoz-0.4.1-18.svn92_trunk.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-13 02:22:21 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (1.24 KB, text/plain)
2010-02-18 22:03 UTC, Michael Hampton
no flags Details

Description Michael Hampton 2010-02-18 22:03:20 UTC
abrt 1.0.6 detected a crash.

architecture: x86_64
cmdline: python /usr/bin/daemon_wallpapoz
comment: Crash almost immediately after changing wallpaper.
component: wallpapoz
executable: /usr/bin/daemon_wallpapoz
kernel: 2.6.31.12-174.2.19.fc12.x86_64
package: wallpapoz-0.4.1-16.svn92_trunk.fc12
release: Fedora release 12 (Constantine)

backtrace
-----
Summary: TBf5496133 subprocess.py:1009:_execute_child:OSError: [Errno 11] Resource temporarily unavailable

Traceback (most recent call last):
  File "/usr/bin/daemon_wallpapoz", line 148, in <module>
    cur_beryl_status = wallpapoz_system.beryl_status(update = True)
  File "../share/wallpapoz/lib/wallpapoz_system.py", line 103, in beryl_status
    self.check_beryl()
  File "../share/wallpapoz/lib/wallpapoz_system.py", line 87, in check_beryl
    raw_geometry = self.exec_cmd('xprop -root _NET_DESKTOP_GEOMETRY')
  File "../share/wallpapoz/lib/wallpapoz_system.py", line 48, in exec_cmd
    shell = True
  File "/usr/lib64/python2.6/subprocess.py", line 595, in __init__
    errread, errwrite)
  File "/usr/lib64/python2.6/subprocess.py", line 1009, in _execute_child
    self.pid = os.fork()
OSError: [Errno 11] Resource temporarily unavailable

Local variables in innermost frame:
executable: '/bin/sh'
shell: True
errpipe_read: 8
p2cread: None
errread: 6
startupinfo: None
close_fds: False
c2pread: 3
args: ['/bin/sh', '-c', 'xprop -root _NET_DESKTOP_GEOMETRY']
gc_was_enabled: True
errwrite: 7
cwd: None
self: <subprocess.Popen object at 0x2a79090>
p2cwrite: None
env: None
c2pwrite: 5
errpipe_write: 9
creationflags: 0
preexec_fn: None
universal_newlines: False

Comment 1 Michael Hampton 2010-02-18 22:03:22 UTC
Created attachment 394997 [details]
File: backtrace

Comment 2 Mamoru TASAKA 2010-02-25 18:52:38 UTC
How often does this issue reproducible?

Comment 3 Michael Hampton 2010-02-25 20:23:50 UTC
This crash occurs most of the time, after the following:

1. Log in. The default background is displayed.
2. Change Desktop Background.
3. Log out.

Wallpapoz will crash either immediately or at next login, and the default desktop background will be displayed again.

I see a -17 build is getting pushed to updates-testing so I'll try that out and see what happens.

Comment 4 Mamoru TASAKA 2010-02-28 18:11:27 UTC
(In reply to comment #3)
> This crash occurs most of the time, after the following:
> 
> 1. Log in. The default background is displayed.
> 2. Change Desktop Background.
> 3. Log out.

I guess this is a different issue (bug 531343 or so)
Anyway I applied a proposal fix for this issue on -18.

Comment 5 Fedora Update System 2010-02-28 18:12:35 UTC
wallpapoz-0.4.1-18.svn92_trunk.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/wallpapoz-0.4.1-18.svn92_trunk.fc13

Comment 6 Fedora Update System 2010-02-28 18:15:40 UTC
wallpapoz-0.4.1-18.svn92_trunk.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/wallpapoz-0.4.1-18.svn92_trunk.fc12

Comment 7 Fedora Update System 2010-02-28 18:16:21 UTC
wallpapoz-0.4.1-18.svn92_trunk.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/wallpapoz-0.4.1-18.svn92_trunk.fc11

Comment 8 Fedora Update System 2010-02-28 18:16:55 UTC
wallpapoz-0.4.1-18.svn92_trunk.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/wallpapoz-0.4.1-18.svn92_trunk.fc11

Comment 9 Fedora Update System 2010-03-01 01:38:28 UTC
wallpapoz-0.4.1-18.svn92_trunk.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-03-02 01:01:44 UTC
wallpapoz-0.4.1-18.svn92_trunk.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wallpapoz'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-3262

Comment 11 Fedora Update System 2010-03-13 02:22:08 UTC
wallpapoz-0.4.1-18.svn92_trunk.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-03-13 02:31:19 UTC
wallpapoz-0.4.1-18.svn92_trunk.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.